Bug 979873 - [abrt] WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:695 iwlagn_mac_flush+0x183/0x190 [iwldvm]()
[abrt] WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:695 iwlagn...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:bc4117a9761a9a9402d1b8b6a34...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 00:47 EDT by Douglas Andrade
Modified: 2013-10-13 13:34 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (107.65 KB, text/plain)
2013-07-01 00:47 EDT, Douglas Andrade
no flags Details

  None (edit)
Description Douglas Andrade 2013-07-01 00:47:10 EDT
Additional info:
reporter:       libreport-2.1.5
WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:695 iwlagn_mac_flush+0x183/0x190 [iwldvm]()
Hardware name: Vostro 1520
iwl_trans_wait_tx_queue_empty bad state = 0
Modules linked in: nls_utf8 isofs hidp fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack rfcomm bnep ebtable_filter ebtables ip6table_filter ip6_tables arc4 iwldvm mac80211 iwlwifi iTCO_wdt iTCO_vendor_support dell_laptop dcdbas acpi_cpufreq mperf snd_hda_codec_idt coretemp snd_hda_intel btusb cfg80211 sdhci_pci kvm_intel kvm snd_hda_codec uvcvideo snd_hwdep sdhci videobuf2_vmalloc videobuf2_memops videobuf2_core videodev snd_seq bluetooth microcode joydev i2c_i801 r8169 mmc_core lpc_ich media snd_seq_device rfkill snd_pcm snd_page_alloc snd_timer snd soundcore mii mfd_core uinput binfmt_misc nouveau mxm_wmi wmi firewire_ohci i2c_algo_bit drm_kms_helper ttm drm firewire_core crc_itu_t i2c_core video
Pid: 50, comm: kworker/u:3 Not tainted 3.9.6-301.fc19.x86_64 #1
Call Trace:
 [<ffffffffa05aa700>] ? iwlagn_mac_flush+0x140/0x190 [iwldvm]
 [<ffffffff8105cc26>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105cc8c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa05aa743>] iwlagn_mac_flush+0x183/0x190 [iwldvm]
 [<ffffffffa04fde13>] __ieee80211_recalc_idle+0xd3/0x190 [mac80211]
 [<ffffffffa04fe494>] ieee80211_recalc_idle+0x14/0x30 [mac80211]
 [<ffffffffa0516d46>] ieee80211_free_chanctx+0x96/0x160 [mac80211]
 [<ffffffffa05176eb>] __ieee80211_vif_release_channel+0x14b/0x1f0 [mac80211]
 [<ffffffffa0517e2d>] ieee80211_vif_release_channel+0x4d/0x70 [mac80211]
 [<ffffffffa052f3f6>] ieee80211_set_disassoc+0x236/0x450 [mac80211]
 [<ffffffffa05303be>] ieee80211_sta_connection_lost.isra.27+0x3e/0x80 [mac80211]
 [<ffffffffa05315d2>] ieee80211_sta_work+0x1d2/0xfc0 [mac80211]
 [<ffffffff81643932>] ? __mutex_unlock_slowpath+0x32/0x40
 [<ffffffffa05aa688>] ? iwlagn_mac_flush+0xc8/0x190 [iwldvm]
 [<ffffffffa04fd729>] ieee80211_iface_work+0x2c9/0x360 [mac80211]
 [<ffffffff81078da9>] ? pwq_activate_delayed_work+0x39/0x80
 [<ffffffff810798de>] process_one_work+0x16e/0x3f0
 [<ffffffff8107b35f>] worker_thread+0x10f/0x3d0
 [<ffffffff8107b250>] ? manage_workers+0x340/0x340
 [<ffffffff81080200>] kthread+0xc0/0xd0
 [<ffffffff81080140>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164e9ec>] ret_from_fork+0x7c/0xb0
 [<ffffffff81080140>] ? insert_kthread_work+0x40/0x40

Potential duplicate: bug 969610
Comment 1 Douglas Andrade 2013-07-01 00:47:16 EDT
Created attachment 767220 [details]
File: dmesg
Comment 2 ramez hanna 2013-07-08 05:18:03 EDT
Description of problem:
using internet lead to this crash which I think is a wifi driver crash as I had to reload the wifi drivers to get back online

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.8-300.fc19.x86_64 root=/dev/mapper/luks-685a1e3b-418b-409a-955d-12a74c245fb1 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True rd.luks.uuid=luks-685a1e3b-418b-409a-955d-12a74c245fb1 KEYTABLE=fi LANG=en_US.UTF-8 rhgb quiet selinux=0
kernel:         3.9.8-300.fc19.x86_64
runlevel:       3 5
type:           Kerneloops

Truncated backtrace:
WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:695 iwlagn_mac_flush+0x183/0x190 [iwldvm]()
Hardware name: 23252UG
iwl_trans_wait_tx_queue_empty bad state = 0
Modules linked in: usb_storage cdc_acm veth cpufreq_stats fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle tun bridge stp llc ip6t_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_conntrack nf_conntrack ip6table_filter ip6_tables rfcomm bnep iTCO_wdt iTCO_vendor_support btusb snd_hda_codec_hdmi bluetooth snd_hda_codec_realtek uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media arc4 acpi_cpufreq mperf coretemp iwldvm kvm_intel kvm mac80211 microcode snd_hda_intel iwlwifi snd_hda_codec snd_hwdep snd_seq i2c_i801 snd_seq_device lpc_ich mfd_core cfg80211 snd_pcm sdhci_pci sdhci snd_page_alloc mmc_core e1000e snd_timer ptp pps_core mei thinkpad_acpi snd soundcore rfkill uinput binfmt_misc dm_crypt i915 crc32_pclmul crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper drm i2c_core wmi video ecryptfs encrypted_keys trusted tpm tpm_bios
Pid: 14316, comm: wpa_supplicant Not tainted 3.9.8-300.fc19.x86_64 #1
Call Trace:
 [<ffffffffa059a700>] ? iwlagn_mac_flush+0x140/0x190 [iwldvm]
 [<ffffffff8105cc56>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105ccbc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa05adaa0>] ? iwlagn_mac_config+0xc0/0x3e0 [iwldvm]
 [<ffffffff811b72e6>] ? mntput+0x26/0x40
 [<ffffffffa059a743>] iwlagn_mac_flush+0x183/0x190 [iwldvm]
 [<ffffffffa03c7e13>] __ieee80211_recalc_idle+0xd3/0x190 [mac80211]
 [<ffffffffa03c8494>] ieee80211_recalc_idle+0x14/0x30 [mac80211]
 [<ffffffffa03e0d46>] ieee80211_free_chanctx+0x96/0x160 [mac80211]
 [<ffffffffa03e16eb>] __ieee80211_vif_release_channel+0x14b/0x1f0 [mac80211]
 [<ffffffffa03e1e2d>] ieee80211_vif_release_channel+0x4d/0x70 [mac80211]
 [<ffffffffa03f6dca>] ieee80211_destroy_auth_data+0x5a/0x90 [mac80211]
 [<ffffffffa03fd3a2>] ieee80211_mgd_deauth+0xf2/0x260 [mac80211]
 [<ffffffffa03ccb58>] ieee80211_deauth+0x18/0x20 [mac80211]
 [<ffffffffa02a110c>] __cfg80211_mlme_deauth+0x9c/0x140 [cfg80211]
 [<ffffffffa02a1215>] cfg80211_mlme_deauth+0x65/0x80 [cfg80211]
 [<ffffffffa028c4f2>] nl80211_deauthenticate+0xb2/0xf0 [cfg80211]
 [<ffffffff81566c80>] genl_rcv_msg+0x260/0x2d0
 [<ffffffff81566a20>] ? genl_rcv+0x40/0x40
 [<ffffffff815665e9>] netlink_rcv_skb+0xa9/0xc0
 [<ffffffff81566a08>] genl_rcv+0x28/0x40
 [<ffffffff81565fc0>] netlink_unicast+0x180/0x230
 [<ffffffff8156636f>] netlink_sendmsg+0x2ff/0x3c0
 [<ffffffff81522faa>] sock_sendmsg+0xaa/0xe0
 [<ffffffff815230e9>] ? sock_recvmsg+0xb9/0xf0
 [<ffffffff815641c0>] ? netlink_recvmsg+0x210/0x440
 [<ffffffff81531186>] ? verify_iovec+0x56/0xd0
 [<ffffffff81523a8e>] ___sys_sendmsg+0x39e/0x3b0
 [<ffffffff81525314>] ? sys_recvfrom+0xe4/0x160
 [<ffffffff81525622>] __sys_sendmsg+0x42/0x80
 [<ffffffff81525672>] sys_sendmsg+0x12/0x20
 [<ffffffff8164efd9>] system_call_fastpath+0x16/0x1b
Comment 3 Vinod Kutty 2013-07-22 17:36:38 EDT
Description of problem:
Resumed from suspend.

Entered credentials to connect to WiFi network.

Connected and able to use 'net for a short while before this

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.9-302.fc19.x86_64 root=/dev/mapper/luks-5fcb615b-59b1-4043-857b-4e44e3deffcd ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks.uuid=luks-5fcb615b-59b1-4043-857b-4e44e3deffcd vconsole.keymap=us rhgb quiet LANG=en_US.UTF-8 i915.i915_enable_rc6=1 i915.i915_enable_fbc=1 i915.lvds_downclock=1
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at drivers/net/wireless/iwlwifi/dvm/../iwl-trans.h:695 iwlagn_mac_flush+0x183/0x190 [iwldvm]()
Hardware name: Dell System XPS L322X
iwl_trans_wait_tx_queue_empty bad state = 0
Modules linked in: cpufreq_stats ebtable_nat xt_CHECKSUM tun bridge stp llc ppdev parport_pc parport fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables vsock vfat fat iTCO_wdt iTCO_vendor_support dell_wmi sparse_keymap arc4 uvcvideo dell_laptop snd_hda_codec_hdmi videobuf2_vmalloc dcdbas videobuf2_memops snd_hda_codec_realtek videobuf2_core iwldvm videodev acpi_cpufreq media mperf coretemp kvm_intel mac80211 kvm snd_hda_intel microcode snd_hda_codec snd_hwdep btusb snd_seq bluetooth joydev snd_seq_device iwlwifi i2c_i801 snd_pcm cfg80211 snd_page_alloc snd_timer rfkill snd lpc_ich soundcore mfd_core mei uinput binfmt_misc dm_crypt wmi crc32_pclmul i915 crc32c_intel ghash_clmulni_intel video i2c_algo_bit drm_kms_helper drm i2c_core
Pid: 3434, comm: kworker/u:67 Not tainted 3.9.9-302.fc19.x86_64 #1
Call Trace:
 [<ffffffffa04a2700>] ? iwlagn_mac_flush+0x140/0x190 [iwldvm]
 [<ffffffff8105cc56>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105ccbc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa04b5aa0>] ? iwlagn_mac_config+0xc0/0x3e0 [iwldvm]
 [<ffffffffa04a2743>] iwlagn_mac_flush+0x183/0x190 [iwldvm]
 [<ffffffffa03f4e13>] __ieee80211_recalc_idle+0xd3/0x190 [mac80211]
 [<ffffffffa03f5494>] ieee80211_recalc_idle+0x14/0x30 [mac80211]
 [<ffffffffa040dd46>] ieee80211_free_chanctx+0x96/0x160 [mac80211]
 [<ffffffffa040e6eb>] __ieee80211_vif_release_channel+0x14b/0x1f0 [mac80211]
 [<ffffffffa040ee2d>] ieee80211_vif_release_channel+0x4d/0x70 [mac80211]
 [<ffffffffa04263f6>] ieee80211_set_disassoc+0x236/0x450 [mac80211]
 [<ffffffffa04273be>] ieee80211_sta_connection_lost.isra.27+0x3e/0x80 [mac80211]
 [<ffffffffa04285d2>] ieee80211_sta_work+0x1d2/0xfc0 [mac80211]
 [<ffffffff8152cfce>] ? skb_free_head+0x1e/0x70
 [<ffffffff8152d16f>] ? __kfree_skb+0x4f/0xb0
 [<ffffffff811808cc>] ? kmem_cache_free+0x20c/0x220
 [<ffffffff8152d16f>] ? __kfree_skb+0x4f/0xb0
 [<ffffffffa03f4729>] ieee80211_iface_work+0x2c9/0x360 [mac80211]
 [<ffffffff81078e49>] ? pwq_activate_delayed_work+0x39/0x80
 [<ffffffff8107997e>] process_one_work+0x16e/0x3f0
 [<ffffffff8107b3ff>] worker_thread+0x10f/0x3d0
 [<ffffffff8107b2f0>] ? manage_workers+0x340/0x340
 [<ffffffff810802a0>] kthread+0xc0/0xd0
 [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164f26c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
Comment 4 Josh Boyer 2013-09-18 16:21:59 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 5 Josh Boyer 2013-10-08 13:07:48 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 6 Liquid Fiber 2013-10-13 13:34:12 EDT
No problem with Fedora 19 3.11.1-200.fc19 64 bit

Note You need to log in before you can comment on or make changes to this bug.